 /* '06 Main.cpp' */

 /* Plik nagłówka strumienia pliku */
#include <fstream.h>
 /* Plik nagłówka strumienia wejścia-wyjścia */
#include <iostream>

 /* Start */
main (void)
{
  /* Strumień pliku */
 fstream   File;

 std::cout << "Próba otwarcia Data.txt do zapisu..." << std::endl;
  /* Otwórz plik normalnie */
 File.open ("Data.txt", ios::out);
 if (File.is_open ())
 {
  std::cout << "Plik został otwarty..." << std::endl;
 }
 else
 {
  std::cout << "Nie można otworzyć pliku..." << std::endl;
 }
 File.close ();

  /* Otwórz plik bez jego zastępowania */
 std::cout << "Próba otwarcia Data.txt w trybie ";
 std::cout << "ios::noreplace..." << std::endl;

 File.open ("Data.txt", ios::out | ios::noreplace);
 if (File.is_open ())
 {
  std::cout << "Plik został otwarty..." << std::endl;
 }
 else
 {
  std::cout << "Nie można otworzyć pliku..." << std::endl;
 }
 File.close ();

  /* Otwarcie pliku bez jego tworzenia */
 std::cout << "Próba otwarcia Data2.txt w trybie ";
 std::cout << "ios::nocreate..." << std::endl;

 File.open ("Data2.txt", ios::out | ios::nocreate);
 if (File.is_open ())
 {
  std::cout << "Plik został otwarty..." << std::endl;
 }
 else
 {
  std::cout << "Nie można otworzyć pliku..." << std::endl;
 }
 File.close ();
 
 return 0;
}